#include <iostream>

using namespace std;

int main()
{
    int n, h;
    cin>>n>>h;
    int a[n];
    for (int i=0; i<n; ++i){cin>>a[i];}
    int b=0;
    bool p=true;
    while (p && b<n){
        if (a[b]<=h){
            p=false;
        }
        else{++b;}
    }
    if (b==n){b=-2;}
    cout<<b+1;
    return 0;
}